Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.util
Class Strings

    java.lang.Object
      org.richfaces.component.util.Strings

    public final class Strings

extends Object

String manipulation utils.

Author:
  asmirnov@exadel.com

Nested Class Summary
`static class` | `Strings.NamingContainerDataHolder`

Field Summary
`static com.google.common.base.Joiner` | `DOT_JOINER`

Method Summary
`static String` | `cut(String in, int size)` Remove characters from string end
`static String` | `firstNonEmpty(String... strings)`
`static String` | `firstToLowerCase(String in)` Change case of the first character to lower, as it required by the Java Beans property and setter/getter method name conventions:
`static String` | `firstToUpperCase(String in)` Change case of the first character to upper, as it required by the Java Beans property and setter/getter method name conventions:
`static boolean` | `isEmpty(String type)` Check string for null or empty value

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DOT_JOINER

    public static final com.google.common.base.Joiner DOT_JOINER

Method Detail

### cut

    public static String cut(String in,
                             int size)

  Remove characters from string end

  Parameters:
    `in` - input string
    `size` - number of characters to remove.
  Returns:

### firstToLowerCase

    public static String firstToLowerCase(String in)

  Change case of the first character to lower, as it required by the Java Beans property and setter/getter method name conventions:

  "PropertyFoo" will be changed to "propertyFoo"

  Parameters:
    `in` -
  Returns:
    `in` with first character changed to lower case.

### firstToUpperCase

    public static String firstToUpperCase(String in)

  Change case of the first character to upper, as it required by the Java Beans property and setter/getter method name conventions:

  "propertyFoo" will be changed to "PropertyFoo"

  Parameters:
    `in` -
  Returns:
    `in` with first character changed to lower case.

### isEmpty

    public static boolean isEmpty(String type)

  Check string for null or empty value

  Parameters:
    `type` -
  Returns:
    true if `type` is null or zero-length string.

### firstNonEmpty

    public static String firstNonEmpty(String... strings)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.